[ubuntu-mono] [Bug 589074] Re: Missing package dependency "gtk-sharp2"

directhex directhex at apebox.org
Tue Jun 15 08:44:53 BST 2010


we don't put full dependencies on things like mono-devel and the gtk#
devel packages, because monodevelop can be used for non-gtk or non-mono
stuff. there's a rationale for a recommends or suggests though

-- 
Missing package dependency "gtk-sharp2"
https://bugs.launchpad.net/bugs/589074
You received this bug notification because you are a member of Ubuntu
CLI/Mono Uploaders, which is subscribed to monodevelop in ubuntu.

Status in “monodevelop” package in Ubuntu: Confirmed

Bug description:
Binary package hint: monodevelop

If I try to create Gtk#-2.0-Project, I'll get the following error message:
System.ArgumentException: value
  at MonoDevelop.GtkCore.ReferenceManager.set_GtkPackageVersion (System.String value) [0x00000] 
  at MonoDevelop.GtkCore.Dialogs.GtkProjectFeature.ApplyFeature (MonoDevelop.Projects.SolutionFolder parentCombine, MonoDevelop.Projects.SolutionItem entry, Gtk.Widget editor) [0x00000] 
  at MonoDevelop.Ide.Gui.Dialogs.CombineEntryFeatureSelector.ApplyFeatures () [0x00000] 

The missing dependency is the package "gtk-sharp2".





More information about the Ubuntu-mono mailing list